part of 'payment_bloc.dart';

abstract class PaymentState extends Equatable {
  const PaymentState();
}

class PaymentInitial extends PaymentState {
  @override
  List<Object> get props => [];
}

class PaymentError extends PaymentState {
  final dynamic exception;

  PaymentError(this.exception);
  @override
  List<Object> get props => [];
}

class PaymentRequestAccepted extends PaymentState {
  final response;

  PaymentRequestAccepted(this.response);
  @override
  List<Object> get props => [];
}

class PaymentSendCodeAgain extends PaymentState {
  PaymentSendCodeAgain();
  @override
  List<Object> get props => [];
}
